| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.ICCDeviceTemperatureManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCDeviceTemperatureManager:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| GetDeviceTemperature (self)
| Gets temperature of the device connected to this channel.
| GetDeviceTemperatureThreshold (self)
| Gets temperature threshold of the device connected to this channel.
| SetDeviceTemperatureThreshold (self, threshold=0)
| Sets temperature threshold of the device connected to this channel.

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| channel
| device_temperature
| device_temp_threshold
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

        Device Functionality - Device Temperature Readout
        System ID: 0x22

        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        | Register Name       | Id   | Type        | Unit | Range | Default | Comment                                  |
        +=====================+======+=============+======+=======+=========+==========================================+
        |device_temperature   | 0x00 |uint 32-bit  |°C    |       |         |                                          |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |device_temp_threshold| 0x01 |uint 32-bit  |°C    |       |         |                                          |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetDeviceTemperature()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

Gets temperature of the device connected to this channel.

## ◆ GetDeviceTemperatureThreshold()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

Gets temperature threshold of the device connected to this channel.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again.

## ◆ help()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.help | ( |  | ) |
| static

## ◆ SetDeviceTemperatureThreshold()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

Sets temperature threshold of the device connected to this channel.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again.

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCDeviceTemperatureManager._is_a_system = True
| static protected

## ◆ channel

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.channel

## ◆ device_temp_threshold

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.device_temp_threshold

## ◆ device_temperature

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.device_temperature

## ◆ name

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.name

## ◆ sys_id

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.sys_id

The documentation for this class was generated from the following file:

- C:/git/145-713-00_optoICC/src/main/python/optoICC/registers/icc_registers.py